/*
 * SPDX-FileCopyrightText: 2018-2023 Bruce Cowan <bruce@bcowan.me.uk>
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#pragma once

#include <stddef.h>

[[gnu::alloc_size(1, 2), gnu::malloc]]
void * check_calloc       (size_t nmemb,
                           size_t size);

[[gnu::alloc_size(1), gnu::malloc]]
void * check_malloc       (size_t  size);

[[nodiscard, gnu::alloc_size(2, 3), gnu::malloc]]
void * check_reallocarray (void   *ptr,
                           size_t  nmemb,
                           size_t  size);
